Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.util
Class GenericDataSource

    java.lang.Object
      |
      +--org.apache.struts.legacy.GenericDataSource
            |
            +--org.apache.struts.util.GenericDataSource

All Implemented Interfaces:
  javax.sql.DataSource

Deprecated. Use a `BasicDataSource` directly, or indirectly acquire a data source provided by your container

public class GenericDataSource
extends org.apache.struts.legacy.GenericDataSource

Wrapper around the `org.apache.struts.legacy.GenericDataSource`. The GenericDataSource is now distributed separately to work around compilation issues between J2SE 1.3 and J2SE 1.4.

Version:
  $Revision: 1.1 $ $Date: 2003/08/22 08:43:29 $
Author:
  Craig R. McClanahan, Ted Husted

Field Summary

Fields inherited from class org.apache.struts.legacy.GenericDataSource
`activeCount, autoCommit, closed, connections, debug, description, driver, driverClass, log, loginTimeout, logWriter, maxCount, minCount, password, pingCommand, pingQuery, properties, readOnly, url, useCount, user`

Constructor Summary
`GenericDataSource()` Deprecated.

Methods inherited from class org.apache.struts.legacy.GenericDataSource
`addProperty, close, createConnection, getActiveCount, getAutoCommit, getConnection, getConnection, getDebug, getDescription, getDriverClass, getLoginTimeout, getLogWriter, getMaxCount, getMinCount, getPassword, getPingCommand, getPingQuery, getReadOnly, getUrl, getUseCount, getUser, log, log, open, ping, setAutoCommit, setDebug, setDescription, setDriverClass, setLoginTimeout, setLogWriter, setMaxCount, setMinCount, setPassword, setPingCommand, setPingQuery, setReadOnly, setUrl, setUser, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GenericDataSource

    public GenericDataSource()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation